
QGIS Application - Bug report #1045

Renaming layer in legend requires layer name change to cancel it's renaming

2008-04-16 11:53 AM - marisn -

Status: Closed

Priority: Low

Assignee:

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11105

Description

In legend right click layer name, choose rename and then try to cancel rename action without actually renaming layer. Only way how to

cancel renaming is by changing atleast single letter in layer's name.

QGIS rev. 8351 Qt 4.3.4

Associated revisions

Revision 29a6e512 - 2009-07-04 10:34 PM - Jürgen Fischer

fix #1045

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11022 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 5b97d98e - 2009-07-04 10:34 PM - Jürgen Fischer

fix #1045

git-svn-id: http://svn.osgeo.org/qgis/trunk@11022 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-09-08 02:02 PM - Jürgen Fischer

see also #1281

#2 - 2008-09-09 05:29 AM - Maciej Sieczka -

Replying to [comment:1 jef]:

see also #1281

Ah yes. So this means the issue is still actuall as of QT 4.4.0, SVN .

#3 - 2009-06-29 09:12 AM - Giovanni Manghi
Still a issue on QGIS 1.2 (rev. 10988 on Ubuntu 9.04).

#4 - 2009-07-04 02:08 AM - Giovanni Manghi

Hi,

I just noticed that editing layer names using the "F2" key seems to work fine now

https://trac.osgeo.org/qgis/ticket/1440

you can exit/stop editing names (even if you haven't changed the name at all) by just selecting another layer, pressing enter or esc.

I guess this should help fixing the problem of editing trough

right click -> rename

especially when no changes are made.

PS

try

right click -> rename

a layer, rename it and press "esc" to exit. Qgis 1.2 (rev. 11015, Ubuntu 9.04) crashes (seg fault).

#5 - 2009-07-04 01:34 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:5b97d98e (SVN r11023)
